object TEasyHolder
  P = <
    item
      Name = 'classc'
      Desc = 'class declaration (with constructor/destructor)'
      Code.Strings = (
        'class T| : public T'
        '{'
        'private:'
        ''
        'protected:'
        ''
        'public:'
        '  __fastcall T();'
        '  __fastcall ~T();'
        '__published:'
        ''
        '};')
    end
    item
      Name = 'classd'
      Desc = 'class declaration (no parts)'
      Code.Strings = (
        'class T| : public T'
        '{'
        '};')
    end
    item
      Name = 'classf'
      Desc = 'class declaration (all parts)'
      Code.Strings = (
        'class T| : public T'
        '{'
        'private:'
        ''
        'protected:'
        ''
        'public:'
        ''
        '__published:'
        ''
        '};')
    end
    item
      Name = 'forb'
      Desc = 'for statement'
      Code.Strings = (
        'for (|; ;)'
        '{'
        ''
        '}')
    end
    item
      Name = 'fors'
      Desc = 'for (no opening/closing braces)'
      Code.Strings = (
        'for (|; ;)')
    end
    item
      Name = 'function'
      Desc = 'function declaration'
      Code.Strings = (
        '|()'
        '{'
        ''
        '}')
    end
    item
      Name = 'ifb'
      Desc = 'if statement'
      Code.Strings = (
        'if (|)'
        '{'
        ''
        '}')
    end
    item
      Name = 'ife'
      Desc = 'if (no opening/closing braces) else (no opening/closing braces)'
      Code.Strings = (
        'if (|)'
        ''
        'else')
    end
    item
      Name = 'ifeb'
      Desc = 'if else'
      Code.Strings = (
        'if (|)'
        '{'
        ''
        '}'
        'else'
        '{'
        ''
        '}')
    end
    item
      Name = 'ifs'
      Desc = 'if (no opening/closing braces)'
      Code.Strings = (
        'if (|)')
    end
    item
      Name = 'struct'
      Desc = 'structure declaration'
      Code.Strings = (
        'struct |'
        '{'
        '};')
    end
    item
      Name = 'switche'
      Desc = 'switch statement (with default)'
      Code.Strings = (
        'switch (|)'
        '{'
        '  case : ;'
        '  break;'
        '  case : ;'
        '  break;'
        '}')
    end
    item
      Name = 'switchs'
      Desc = 'switch statement'
      Code.Strings = (
        'switch (|)'
        '{'
        '  case : ;'
        '  break;'
        '  case : ;'
        '  break;'
        '  default: ;'
        '}')
    end
    item
      Name = 'templ'
      Desc = 'template class declaration'
      Code.Strings = (
        'template <class T>'
        'class |'
        '{'
        '};')
    end
    item
      Name = 'trye'
      Desc = 'try catch'
      Code.Strings = (
        'try'
        '{'
        '  |'
        '}'
        'catch()'
        '{'
        '}')
    end
    item
      Name = 'whileb'
      Desc = 'while statement'
      Code.Strings = (
        'while (|)'
        '{'
        ''
        '}')
    end
    item
      Name = 'whiles'
      Desc = 'while (no opening/closing braces)'
      Code.Strings = (
        'while (|)')
    end>
end
