object TEasyHolder
  P = <
    item
      Name = 'arrayc'
      Desc = 'array declaration (const)'
      Code.Strings = (
        'array[0..|] of = ();')
    end
    item
      Name = 'arrayd'
      Desc = 'array declaration (var)'
      Code.Strings = (
        'array[0..|] of ;')
    end
    item
      Name = 'casee'
      Desc = 'case statement (with else)'
      Code.Strings = (
        'case | of'
        '  : ;'
        '  : ;'
        'else ;'
        'end;')
    end
    item
      Name = 'cases'
      Desc = 'case statement'
      Code.Strings = (
        'case | of'
        '  : ;'
        '  : ;'
        'end;')
    end
    item
      Name = 'classc'
      Desc = 'class declaration (with Create/Destroy overrides)'
      Code.Strings = (
        'T| = class(T)'
        'private'
        ''
        'protected'
        ''
        'public'
        '  constructor Create; override;'
        '  destructor Destroy; override;'
        'published'
        ''
        'end;')
    end
    item
      Name = 'classd'
      Desc = 'class declaration (no parts)'
      Code.Strings = (
        'T| = class(T)'
        ''
        'end;')
    end
    item
      Name = 'classf'
      Desc = 'class declaration (all parts)'
      Code.Strings = (
        'T| = class(T)'
        'private'
        ''
        'protected'
        ''
        'public'
        ''
        'published'
        ''
        'end;')
    end
    item
      Name = 'forb'
      Desc = 'for statement'
      Code.Strings = (
        'for | :=  to  do'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'fors'
      Desc = 'for (no begin/end)'
      Code.Strings = (
        'for | :=  to  do')
    end
    item
      Name = 'function'
      Desc = 'function declaration'
      Code.Strings = (
        'function |(): ;'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'ifb'
      Desc = 'if statement'
      Code.Strings = (
        'if | then'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'ife'
      Desc = 'if then (no begin/end) else (no begin/end)'
      Code.Strings = (
        'if | then'
        ''
        'else')
    end
    item
      Name = 'ifeb'
      Desc = 'if then else'
      Code.Strings = (
        'if | then'
        'begin'
        ''
        'end'
        'else'
        'begin'
        ''
        'end')
    end
    item
      Name = 'ifs'
      Desc = 'if (no begin/end)'
      Code.Strings = (
        'if | then')
    end
    item
      Name = 'procedure'
      Desc = 'procedure declaration'
      Code.Strings = (
        'procedure |();'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'trycf'
      Desc = 'try finally (with Create/Free)'
      Code.Strings = (
        '|variable := typename.Create;'
        'try'
        ''
        'finally'
        '  variable.Free;'
        'end;')
    end
    item
      Name = 'trye'
      Desc = 'try except'
      Code.Strings = (
        'try'
        '  |'
        'except'
        ''
        'end;')
    end
    item
      Name = 'tryf'
      Desc = 'try finally'
      Code.Strings = (
        'try'
        '  |'
        'finally'
        ''
        'end;')
    end
    item
      Name = 'whileb'
      Desc = 'while statement'
      Code.Strings = (
        'while | do'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'whiles'
      Desc = 'while (no begin)'
      Code.Strings = (
        'while | do')
    end
    item
      Name = 'withb'
      Desc = 'with statement'
      Code.Strings = (
        'with | do'
        'begin'
        ''
        'end;')
    end
    item
      Name = 'withs'
      Desc = 'with (no begin)'
      Code.Strings = (
        'with | do')
    end>
end
